Subject: bug#3408: customize-face not working: seems to apply to frame-face

From: Chong Yidong <[email-masked]>
Date: Thu, 28 May 2009 00:53:20 -0400

> Emacs -Q
> (set-face-attribute 'default nil :height 130 :family "Lucida Grande")
> (customize-face 'default)
> (make-frame-command)  ;; C-x 5 2
>
> The same thing works as I would expect in Emacs 22.  I would generally
> assume that `customize-face' applies to faces in future frames as
> well.

Mixing set-face-attribute and Customize is a bad idea in general.